The Create Local Bank Transfer (LBT) Transaction request obtains account details for a transaction. The shopper must complete the transaction. Their account is not immediately debited.
Short payments
If the amount received from the shopper is less than the order total, this is considered a short payment. If a short payment requires your approval, send a Merchant Approve Transaction request with the transaction ID.
Request Content
Send an alt-tansaction container, with the following:
| Property | Type | Required |
|---|---|---|
amount | decimal | required |
currency | string | required |
local-bank-transfer-transaction | container | required (refer to local-bank-transfer-transaction) |
merchant-transaction-id | string | optional |
payer-info | container | required if vaulted-shopper-id is not sent (refer to payer-info) |
product-description | string | optional |
soft-descriptor | string | optional |
tax-reference | string | optional |
transaction-meta-data | container | optional (refer to transaction-meta-data) |
vaulted-shopper-id | integer | required if payer-info is not sent |
vendors-info | container | required if using marketplace vendor(s) (refer to vendors-info) |
Response Details
If successful, the response HTTP status code is 200 OK.
The response contains the request properties plus these additions:
| Property | Notes |
|---|---|
local-bank-transfer-transaction | (refer to local-bank-transfer-transaction) |
processing-info | (refer to processing-info) |
vaulted-shopper-id |
Examples
Request Examples
curl -v -X POST https://sandbox.bluesnap.com/services/2/alt-transactions/ \
-H 'Content-Type: application/xml' \
-H 'Accept: application/xml' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
<alt-transaction xmlns="http://ws.plimus.com">
<amount>70</amount>
<currency>USD</currency>
<payer-info>
<first-name>John</first-name>
<last-name>Doe</last-name>
<country>us</country>
</payer-info>
<local-bank-transfer-transaction />
</alt-transaction>'curl -v -X POST https://sandbox.bluesnap.com/services/2/alt-transactions/ \
-H 'Content-Type: application/xml' \
-H 'Accept: application/xml' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
<alt-transaction xmlns="http://ws.plimus.com">
<amount>70</amount>
<currency>USD</currency>
<payer-info>
<first-name>John</first-name>
<last-name>Doe</last-name>
<country>us</country>
</payer-info>
<local-bank-transfer-transaction />
<soft-descriptor>ABC COMPANY</soft-descriptor>
<transaction-meta-data>
<meta-data>
<meta-key>stateTaxAmount</meta-key>
<meta-value>20.00</meta-value>
<meta-description>State Tax Amount</meta-description>
</meta-data>
<meta-data>
<meta-key>cityTaxAmount</meta-key>
<meta-value>20.00</meta-value>
<meta-description>City Tax Amount</meta-description>
</meta-data>
</transaction-meta-data>
<merchant-transaction-id>abc123</merchant-transaction-id>
</alt-transaction>'curl -v -X POST https://sandbox.bluesnap.com/services/2/alt-transactions/ \
-H 'Content-Type: application/xml' \
-H 'Accept: application/xml' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
<alt-transaction xmlns="http://ws.plimus.com">
<amount>70</amount>
<currency>USD</currency>
<payer-info>
<first-name>John</first-name>
<last-name>Doe</last-name>
<country>us</country>
</payer-info>
<local-bank-transfer-transaction />
<vendors-info>
<vendor-info>
<vendor-id>10398032</vendor-id>
</vendor-info>
</vendors-info>
</alt-transaction>'curl -v -X POST https://sandbox.bluesnap.com/services/2/alt-transactions/ \
-H 'Content-Type: application/xml' \
-H 'Accept: application/xml' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
<alt-transaction xmlns="http://ws.plimus.com">
<amount>75.60</amount>
<currency>USD</currency>
<tax-reference>048deff0-a285-47e1-bc39-42f79bf0095b</tax-reference>
<payer-info>
<first-name>John</first-name>
<last-name>Doe</last-name>
<country>us</country>
</payer-info>
<local-bank-transfer-transaction />
</alt-transaction>'Response Examples
<?xml version="1.0" encoding="UTF-8"?>
<alt-transaction xmlns="http://ws.plimus.com">
<amount>70</amount>
<currency>USD</currency>
<payer-info>
<first-name>John</first-name>
<last-name>Doe</last-name>
<country>us</country>
</payer-info>
<vaulted-shopper-id>19584260</vaulted-shopper-id>
<local-bank-transfer-transaction>
<local-bank-transfer-info>
<swift-code>RABOUS66XXX</swift-code>
<payment-reference>410000825969</payment-reference>
<account-holder>Global Collect BV</account-holder>
<bank-code>ABA|122238420||Address|WESTLAKE VILLAGE, 2663 TOWNSGATE RD</bank-code>
<bank-name>Rabobank N.A.</bank-name>
<country-description>United States</country-description>
<bank-city>Ontario USA</bank-city>
<bank-account-number>0487369908</bank-account-number>
</local-bank-transfer-info>
<order-id>4002617</order-id>
</local-bank-transfer-transaction>
<processing-info>
<processing-status>PENDING</processing-status>
<transaction-region>US</transaction-region>
</processing-info>
</alt-transaction><?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<alt-transaction
xmlns="http://ws.plimus.com">
<merchant-transaction-id>abc123</merchant-transaction-id>
<soft-descriptor>ABC COMPANY</soft-descriptor>
<amount>70</amount>
<currency>USD</currency>
<payer-info>
<first-name>John</first-name>
<last-name>Doe</last-name>
<country>us</country>
</payer-info>
<vaulted-shopper-id>19584262</vaulted-shopper-id>
<transaction-meta-data>
<meta-data>
<meta-key>cityTaxAmount</meta-key>
<meta-value>20.00</meta-value>
<meta-description>City Tax Amount</meta-description>
</meta-data>
<meta-data>
<meta-key>stateTaxAmount</meta-key>
<meta-value>20.00</meta-value>
<meta-description>State Tax Amount</meta-description>
</meta-data>
</transaction-meta-data>
<local-bank-transfer-transaction>
<local-bank-transfer-info>
<swift-code>RABOUS66XXX</swift-code>
<payment-reference>410000825979</payment-reference>
<account-holder>Global Collect BV</account-holder>
<bank-code>ABA|122238420||Address|WESTLAKE VILLAGE, 2663 TOWNSGATE RD</bank-code>
<bank-name>Rabobank N.A.</bank-name>
<country-description>United States</country-description>
<bank-city>Ontario USA</bank-city>
<bank-account-number>0487369908</bank-account-number>
</local-bank-transfer-info>
<order-id>4002619</order-id>
</local-bank-transfer-transaction>
<processing-info>
<processing-status>PENDING</processing-status>
</processing-info>
</alt-transaction><?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<alt-transaction xmlns="http://ws.plimus.com">
<vendors-info>
<vendor-info>
<vendor-id>10398032</vendor-id>
<commission-percent>90.2</commission-percent>
</vendor-info>
</vendors-info>
<amount>70</amount>
<currency>USD</currency>
<payer-info>
<first-name>John</first-name>
<last-name>Doe</last-name>
<country>us</country>
</payer-info>
<vaulted-shopper-id>27670687</vaulted-shopper-id>
<local-bank-transfer-transaction>
<local-bank-transfer-info>
<swift-code>RABOUS66XXX</swift-code>
<payment-reference>410000932249</payment-reference>
<account-holder>Global Collect BV</account-holder>
<bank-code>ABA|122238420||Address|WESTLAKE VILLAGE, 2663 TOWNSGATE RD</bank-code>
<bank-name>Rabobank N.A.</bank-name>
<country-description>United States</country-description>
<bank-city>Ontario USA</bank-city>
<bank-account-number>0487369908</bank-account-number>
</local-bank-transfer-info>
<order-id>17649643</order-id>
</local-bank-transfer-transaction>
<processing-info>
<processing-status>PENDING</processing-status>
</processing-info>
</alt-transaction><?xml version="1.0" encoding="UTF-8"?>
<alt-transaction xmlns="http://ws.plimus.com">
<amount>75.60</amount>
<currency>USD</currency>
<tax-reference>048deff0-a285-47e1-bc39-42f79bf0095b</tax-reference>
<payer-info>
<first-name>John</first-name>
<last-name>Doe</last-name>
<country>us</country>
</payer-info>
<vaulted-shopper-id>19584260</vaulted-shopper-id>
<local-bank-transfer-transaction>
<local-bank-transfer-info>
<swift-code>RABOUS66XXX</swift-code>
<payment-reference>410000825969</payment-reference>
<account-holder>Global Collect BV</account-holder>
<bank-code>ABA|122238420||Address|WESTLAKE VILLAGE, 2663 TOWNSGATE RD</bank-code>
<bank-name>Rabobank N.A.</bank-name>
<country-description>United States</country-description>
<bank-city>Ontario USA</bank-city>
<bank-account-number>0487369908</bank-account-number>
</local-bank-transfer-info>
<order-id>4002617</order-id>
</local-bank-transfer-transaction>
<processing-info>
<processing-status>PENDING</processing-status>
</processing-info>
</alt-transaction>Order ID and status
Until the shopper completes the order, the processing status stays as
PENDINGand there is no transaction ID. You must use theorder-idfor the transaction.
API Explorer
To test out a basic API request, click the "Try It!" button in the right-hand column to test using the default, pre-populated sample values. To test with your own values, edit the parameter fields below. You'll see them populate in the right-hand column and you can click the "Try It!" button to submit your test request and see a response.
